"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.register = register;
exports.plugin = void 0;

var _route = _interopRequireDefault(require("./route"));

/*
 * The server app route plugin - this applies a wildcard catch-all route that
 * will call the server app rendering function for the correct request language.
 */
function register(server, options) {
  server.route((0, _route.default)(options.languageRenderers));
}

var plugin = {
  register: register,
  name: 'mwp-app-route',
  version: '1.0.0',
  dependencies: ['mwp-language-plugin', // provides `request.getPrefixedPath` and `request.getLanguage`
  'electrode-csrf-jwt']
};
exports.plugin = plugin;
//# sourceMappingURL=index.js.map