"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _boom = _interopRequireDefault(require("boom"));

var _mwpTestUtils = require("mwp-test-utils");

var _route = _interopRequireWildcard(require("./route"));

describe('onPreResponse.method', function () {
  it('returns html containing error message',
  /*#__PURE__*/
  (0, _asyncToGenerator2.default)(
  /*#__PURE__*/
  _regenerator.default.mark(function _callee() {
    var errorMessage, errorCode, response, server, request, h;
    return _regenerator.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            errorMessage = 'foobar';
            errorCode = 432;
            response = new _boom.default(errorMessage, {
              statusCode: errorCode
            });

            response.header = function (key, val) {
              return val;
            };

            _context.next = 6;
            return (0, _mwpTestUtils.getServer)();

          case 6:
            server = _context.sent;
            request = {
              response: response,
              route: {},
              server: server
            };
            h = {
              code: jest.fn(function () {
                return h;
              }),
              response: jest.fn(function () {
                return h;
              })
            };

            _route.onPreResponse.method(request, h);

            expect(h.response).toHaveBeenCalledWith(expect.stringContaining(errorMessage));
            expect(h.code).toHaveBeenCalledWith(errorCode);

          case 12:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  })));
  it('serves the homepage route',
  /*#__PURE__*/
  (0, _asyncToGenerator2.default)(
  /*#__PURE__*/
  _regenerator.default.mark(function _callee2() {
    var result, server, routes, response;
    return _regenerator.default.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            result = 'ok';
            _context2.next = 3;
            return (0, _mwpTestUtils.getServer)();

          case 3:
            server = _context2.sent;
            routes = (0, _route.default)({
              'en-US': function enUS() {
                return Promise.resolve({
                  statusCode: 200,
                  result: result
                });
              }
            });
            _context2.next = 7;
            return server.route(routes);

          case 7:
            _context2.next = 9;
            return server.inject({
              url: '/'
            });

          case 9:
            response = _context2.sent;
            expect(response.payload).toEqual(result);

          case 11:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2);
  })));
});
//# sourceMappingURL=route.test.js.map